Welcome, Guest. Please login or register.
April 18, 2014, 20:30:07 PM
Home Help Search Calendar Login Register
Show unread posts since last visit.
News: Let Pardus-Anka become #1: Pardus-Anka Bug ReportPardus-Anka World Google+ | The Pardus wiki  | Visit Pardus-Anka official website  | Register as forum member?  Email the moderator!

+  Pardus Worldforum
|-+  Assistance
| |-+  Software
| | |-+  Google+ Hangouts: also working in Pardus 2011
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: 1 2 3 [4] 5 Go Down Print
Author Topic: Google+ Hangouts: also working in Pardus 2011  (Read 7413 times)
Kranthi
Pardus fellow craft
**
Gender: Male
Posts: 102



View Profile WWW
« Reply #45 on: November 29, 2011, 19:00:45 PM »

Ok, executed till step 9.
But chrome doesn't detect plugin?
Went to google+ Hangout and it shows "install plugin" page.
Logged

The Cube
nkoc
Pardus fellow craft
**
Posts: 41


View Profile
« Reply #46 on: November 29, 2011, 20:28:30 PM »

What says Firefox to the situation?
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #47 on: November 29, 2011, 22:48:25 PM »

And my manual to build and install google-talkplugin for the Pardus i686 (32bit) system:
(without installing any additional packages from the devel repo)

1. To have it all in one directory and to avoid a mess:
Code:
mkdir talkplugin
2. Goto dir:
Code:
cd talkplugin
3. Fetch build files libpng12:
Code:
svn co https://svn.pardus.org.tr/pardus/playground/fatih.arslan/2011/google_talk/libpng12/
4. Goto dir:
Code:
cd libpng12
5. Build package:
Code:
sudo pisi bi pspec.xml -y
6. Install libpng12:
Code:
sudo pisi it ./libpng12-1.2.44-1-p11-i686.pisi -y
7. Go up:
Code:
cd ..
8. Fetch build files google-talkplugin
Code:
svn co https://svn.pardus.org.tr/pardus/playground/fatih.arslan/2011/google_talk/google-talkplugin-i686/
9. Goto dir:
Code:
cd google-talkplugin-i686
10. Build package:
Code:
sudo pisi bi pspec.xml -y
11. Install google-talkplugin:
Code:
sudo pisi it ./google-talkplugin-2.1.7.0-1-p11-i686.pisi -y

And can anybody give me instructions to find out if this package is doing what it's build for
(I do have a gmail account << in case this is a requirement)

I am now on a x86_64 (64bit) manual.
« Last Edit: November 29, 2011, 23:17:40 PM by atolboo » Logged
Kranthi
Pardus fellow craft
**
Gender: Male
Posts: 102



View Profile WWW
« Reply #48 on: November 30, 2011, 03:03:21 AM »

Firefox show the same "install plugin" site.
Logged

The Cube
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #49 on: November 30, 2011, 08:39:22 AM »

Went to google+ Hangout and it shows "install plugin" page.
and
Firefox show the same "install plugin" site.
Which site are you talking about
Give a link so that I know where you are talking about.
Logged
Kranthi
Pardus fellow craft
**
Gender: Male
Posts: 102



View Profile WWW
« Reply #50 on: November 30, 2011, 09:22:48 AM »

Sorry, This is the page that shows up.
http://www.google.com/tools/dlpage/res/talkvideo/hangouts/
If you had installed the plugin, it might show you the hangout homepage.
So this is the screen shot of what i see:
http://dl.dropbox.com/u/47591774/hangout%20page.jpeg
Can we chat about this? It's faster and we can post the whole conversation afterwards.
Logged

The Cube
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #51 on: November 30, 2011, 21:58:03 PM »

I am finally getting things done...
Have a look in the picture   
So wait for what is going to happen Wink


* FF-plugins.png (221.19 KB, 1064x953 - viewed 165 times.)
Logged
Kranthi
Pardus fellow craft
**
Gender: Male
Posts: 102



View Profile WWW
« Reply #52 on: December 02, 2011, 06:16:30 AM »

Thanks Atolboo Smiley
Logged

The Cube
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #53 on: December 04, 2011, 22:46:46 PM »

The fist test version for i686 is now available.
It can now temporary be installed with the following command:
Code:
sudo pisi it http://pakete.pardususer.de/playground/atolboo/google-talkpkugin/google-talkplugin-2.1.7.0-1-p11-i686.pisi -y
After this ^^^ you will get thisFF-plugins.png.
And I am waiting for real test results of this package before I make it available on pardususer.de.

The package can be removed (when required after not-good real test results) with:
Code:
sudo pisi rm google-talkplugin -y
This is one of the benefits of doing it this way (through pisi).

I will now start constructing the x86_64 version.
This is much more difficult as this also requires (among them) constructing xorg-video-nvidia-current-32bit and xorg-video-fglrx-32bit packages for the current x86_64-stable release.
Logged
Kranthi
Pardus fellow craft
**
Gender: Male
Posts: 102



View Profile WWW
« Reply #54 on: December 05, 2011, 03:07:39 AM »

I used this:
Code:
sudo pisi it http://pakete.pardususer.de/playground/atolboo/google-talkpkugin/google-talkplugin-2.1.7.0-1-p11-i686.pisi -y
And got this:
Password:
google-talkplugin-2.1.7.0-1-p11-i686.pisi (8.5 MB)100%    174.12 KB/s [00:00:00] [complete]
System error. Program terminated.
External dependencies not satisfied: libpng12-pardususerde
Logged

The Cube
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #55 on: December 05, 2011, 09:59:47 AM »

External dependencies not satisfied: libpng12-pardususerde
After enabling 2.Additional (non-official) package source: pardususer.de in Package manager the problem will be solved.
libpng12-pardususerde is one of the runtimedependencies of this packege.
The complete list is:
Quote
        <RuntimeDependencies>
            <Dependency>mesa</Dependency>
            <Dependency>gtk2</Dependency>
            <Dependency>glib2</Dependency>
            <Dependency>zlib</Dependency>
            <Dependency>libX11</Dependency>
            <Dependency>libpng12-pardususerde</Dependency>
            <Dependency>openssl</Dependency>
            <Dependency>alsa-lib</Dependency>
            <Dependency>libXfixes</Dependency>
            <Dependency>libXrandr</Dependency>
            <Dependency>libXrender</Dependency>
            <Dependency>gdk-pixbuf</Dependency>
            <Dependency>libXcomposite</Dependency>
            <Dependency>pulseaudio-libs</Dependency>
        </RuntimeDependencies>
Logged
Kranthi
Pardus fellow craft
**
Gender: Male
Posts: 102



View Profile WWW
« Reply #56 on: December 05, 2011, 16:15:37 PM »

I have that and it's enabled.  Undecided
Logged

The Cube
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #57 on: December 05, 2011, 16:47:56 PM »

Did you do a
Code:
sudo pisi up -y
after Friday 03.12.2011, 22:36:29  UTC Huh?
This is required as libpng12-pardususerde was uploaded and indexed and thus available after that time.
My current result:
Quote
atolboo@pardus2011 ~ $ sudo pisi up -y
Password:
Updating repositories
Updating repository: pardus
pisi-index.xml.xz.sha1sum      (40.0  B)100%    549.80 KB/s [00:00:00] [complete]
pardus repository information is up-to-date.
Updating repository: pardususer.de
pisi-index.xml.xz.sha1sum      (40.0  B)100%    564.97 KB/s [00:00:00] [complete]
pisi-index.xml.xz              (76.0 KB)100%     23.34 MB/s [00:00:00] [complete]
No signature found for http://pakete.pardususer.de/pardus-2011/i686/pisi-index.xml.xz
* Package database updated.
No packages to upgrade.
atolboo@pardus2011 ~ $ pisi lr
pardus [active]
   http://packages.pardus.org.tr/pardus/2011/stable/i686/pisi-index.xml.xz
pardususer.de [active]
   http://pakete.pardususer.de/pardus-2011/i686/pisi-index.xml.xz
atolboo@pardus2011 ~ $ sudo pisi it http://pakete.pardususer.de/playground/atolboo/google-talkpkugin/google-talkplugin-2.1.7.0-1-p11-i686.pisi -y
google-talkplugin-2.1.7.0-1-p11-i686.pisi (8.5 MB)100%      1.56 MB/s [00:00:00] [complete]
The following packages will be installed in order to satisfy dependencies:
libpng12-pardususerde
Total size of package(s): 195.00 KB
Downloading 1 / 1
Package libpng12-pardususerde found in repository pardususer.de
libpng12-pardususerde-1.2.44-1-p11-i686.pisi (195.0 KB)100%     14.58 MB/s [00:00:00] [complete]
Installing 1 / 1
libpng12-pardususerde-1.2.44-1-p11-i686.pisi [cached]
Installing libpng12-pardususerde, version 1.2.44, release 1
Extracting the files of libpng12-pardususerde
Configuring libpng12-pardususerde package
Configured libpng12-pardususerde
Installed libpng12-pardususerde
Installation order: google-talkplugin
google-talkplugin-2.1.7.0-1-p11-i686.pisi [cached]
Installing google-talkplugin, version 2.1.7.0, release 1
Extracting the files of google-talkplugin
Configuring google-talkplugin package
Configured google-talkplugin
Installed google-talkplugin
atolboo@pardus2011 ~ $
« Last Edit: December 05, 2011, 16:57:10 PM by atolboo » Logged
pardus721
Guest
« Reply #58 on: December 05, 2011, 22:58:45 PM »

I used this:
Code:
sudo pisi it http://pakete.pardususer.de/playground/atolboo/google-talkpkugin/google-talkplugin-2.1.7.0-1-p11-i686.pisi -y
And got this:
Password:
google-talkplugin-2.1.7.0-1-p11-i686.pisi (8.5 MB)100%    174.12 KB/s [00:00:00] [complete]
System error. Program terminated.
External dependencies not satisfied: libpng12-pardususerde


I have same result.
But after add repot pardususer :
http://pakete.pardususer.de/pardus-2011/i686/pisi-index.xml.xz
And retry the commands...
Google talk plugin video accelerator and Google talk plugin appeared in Firefox plugins !
Hangouts work in Google+.
« Last Edit: December 06, 2011, 10:08:31 AM by pardus721 » Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #59 on: December 06, 2011, 12:42:26 PM »

  for the feedback.
Does this mean that the real
Hangouts work in Google+.
is 100% operational in Pardus-i686 and does what it is supposed to do

I ask this as I could only detect
Google talk plugin video accelerator and Google talk plugin appeared in Firefox plugins !
and was not sure if it would be 100% functional.
This ^^^ also depends on how good the software writers at Google to their job.
I can only put their software in the appropriate directories of Pardus with the help of pisi. Grin
And in this way preventing it will turn into a complete mess.
Logged
Pages: 1 2 3 [4] 5 Go Up Print 
« previous next »
Jump to:  


Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!